
 LinHES - Bug # 681: starting up with boot cd sometimes mysql says fail

Status: Closed Priority: Normal
Author: martin1802 Category: Installation/Upgrade
Created: 04/04/2010 Assignee: jams
Updated: 12/12/2010 Due date: 01/10/2011
Description: sometime my system starting with bootcd for install process says fail

maybe there is a mistake because by default dhcp is enabled for lan (eth0) and my router has not assigned a 
ip to networkinterface before mysql tries to start up?

Maybe it will be nice to select static ip on boot or maybe wait / check until a ip is assigned?

History
04/04/2010 07:41 am - jams
This happens from time to time and it's a known bug.
From what i can tell it doesn't have anything to do with the network.  
When mysql starts it's only looking at localhost  do static/dhcp wouldn't matter at this point.

Just as a reference point this happens more when using CD's  vs USB flash drive.
And never happens for me when using vmware.

04/04/2010 07:43 am - jams
> Maybe it will be nice to select static ip on boot or maybe wait / check until a ip is assigned?

static ip's can be setup from the boot menu using ip=x.x.x.x  as a boot parm.
At some point this should all be documented.

12/12/2010 05:48 pm - jams
- Status changed from New to Closed

- Target version set to 7.1

- Estimated time set to 4.00

- Due date set to 01/10/2011

Can't not replicate any more. Logic has been put in place to keep trying (up to 20) if mysql fails to start.
